# when running in standalone mode, change ln_co2init here and other values below
if ! has_config ifs ; then
  ln_co2init=".false."
# when running coupled, ln_co2init is defined by the runscript, change other values below
else
  if { [ $ifs_cmip_fixyear -gt 0 ] || [[ "${ifs_A4xCO2}" = "TRUE" ]]; } && [[ "${bgc_1PCTCO2}" = "FALSE" ]] ; then
      ln_co2init=".false."
  else
      ln_co2init=".true."
  fi
fi
cat << EOF
!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
!! PISCES  :   Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_pis_ref
!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisext     !   air-sea exchange
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
   ln_co2int  =  ${ln_co2init} ! read atm pco2 from a file (T) or constant (F)
   atcco2     =  284.32  ! Constant value atmospheric pCO2 - ln_co2int = F - use 284.32 for piControl and 1137.28 for A4XCO2
   clname     =  'atcco2.txt'  ! Name of atm pCO2 file - ln_co2int = T
   nn_offset  =  0       ! Offset model-data start year - ln_co2int = T
!                        ! If your model year is iyy, nn_offset=(years(1)-iyy) 
!                        ! then the first atmospheric CO2 record read is at years(1)
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisatm     !  Atmospheric prrssure 
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisbio     !   biological parameters
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampislim     !   parameters for nutrient limitations
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisopt     !   parameters for optics
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
!              !  file name                                ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
!              !                                           !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
   sn_par      = 'par_fraction_gewex_clim90s00s_ORCA_R1.nc',     24            , 'fr_par'  ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
   ln_varpar   =  .false.  ! boolean for PAR variable
/ 
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisprod     !   parameters for phytoplankton growth
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampismort     !   parameters for phytoplankton sinks
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampismes     !   parameters for mesozooplankton
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampiszoo     !   parameters for microzooplankton
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisfer     !   parameters for iron chemistry
   ln_fechem =  .true.   ! complex iron chemistry ( T/F )
   ln_ligvar =  .true.   ! variable ligand concentration
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/  
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisrem     !   parameters for remineralization
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampiscal     !   parameters for Calcite chemistry
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampissbc     !   parameters for inputs deposition
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
!              !  file name                          ! frequency (hours) ! variable      ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
!              !                                     !  (if <0  months)  !   name        !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
   sn_dust     = 'dust_INCA_ORCA_R1.nc'              ,     -1            , 'dust'        ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_solub    = 'Solubility_T62_Mahowald_ORCA_R1.nc',    -12            , 'solubility2' ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdic = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdoc = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdoc'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdin = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdin'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdon = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdon'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdip = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdip'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdop = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdop'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_riverdsi = 'river_global_news_ORCA_R1.nc'      ,    -1             , 'riverdsi'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
   sn_ndepo    = 'ndeposition_Duce_ORCA_R1.nc'       ,    -12            , 'ndep'        ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
   sn_ironsed  = 'pmarge_etopo_ORCA_R1.nc'           ,    -12            , 'bathy'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
!
   cn_dir      = './'      !  root directory for the location of the dynamical files
   ln_dust     =  .true.   ! boolean for dust input from the atmosphere
   ln_solub    =  .true.   ! boolean for variable solubility of atm. Iron
   ln_river    =  .true.   ! boolean for river input of nutrients
   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
   ln_ironsed  =  .true.   ! boolean for Fe input from sediments
   ln_ironice  =  .true.   ! boolean for Fe input from sea ice
   ln_hydrofe  =  .false.  ! boolean for from hydrothermal vents
   sedfeinput  =  1.e-9    ! Coastal release of Iron
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampisdmp     !  Damping 
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
   ln_pisdmp    =  .true.    !  Relaxation fo some tracers to a mean value
   nn_pisdmp   =  11680       !  Frequency of Relaxation
/
!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
&nampismass     !  Mass conservation
   ln_check_mass =  .true.    !  Check mass conservation
!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
/
EOF
