MODULE RTIME2DATE_MOD
CONTAINS
SUBROUTINE RTIME2DATE(ZTIME,KDATE,KSECO)
USE PARKIND1  ,ONLY : JPIM     ,JPRB, JPIB 
USE YOMCST   , ONLY : RDAY

#ifdef DOC

!**  RTIME2DATE 
!**  Transform time in seconds to Date

!* INPUT
! * ZTIME : (Double) Seconds since a reference date, 
!           as defines in fcttim.h 

!* Output
! *KDATE : (Integer) YYYYMMDD
!* KDECO : (Integer) Seconds 

!  Author.
!  E. Dutra, Sep 2018

#endif

IMPLICIT NONE
#include "fcttim.h"
#include "updcal.intfb.h"


REAL(KIND=JPRB),INTENT(IN) :: ZTIME
INTEGER(KIND=JPIM),INTENT(OUT) :: KDATE,KSECO

INTEGER(KIND=JPIM) :: IYYYY,IMM,IDD,NDAYSI

!* Compute days to increment
! * ZTIME-NSECR to set reference time at 00:00
NDAYSI=INT((ZTIME+REAL(NSECR,JPRB))/86400._JPRB)
KSECO=MOD((ZTIME+REAL(NSECR,JPRB)),86400._JPRB)
IF ( KSECO < 0 ) THEN
  NDAYSI=NDAYSI-1
  KSECO=86400.+KSECO
ENDIF

CALL UPDCAL(NDDR,NMMR,NYYYYR,NDAYSI,IDD,IMM,IYYYY)
KDATE=NCONSTRUCT_DATEY(IYYYY,IMM,IDD)

END SUBROUTINE RTIME2DATE
END MODULE RTIME2DATE_MOD
