#include "tm5.inc"
! ----------------------------------------------------------------------
!
! NAME
!   const_ec_v - vertical level definition of the driving model
!
! USAGE
!   use const_ec_v
!
! ----------------------------------------------------------------------

module const_ec_v

  implicit none
  
  ! --- in/out -----------------------------
  
  private 

  public :: lme, a_ec, b_ec
  
  
  ! --- const --------------------------------
  
  ! number of levels:
  integer, parameter :: lme = 10
      
  ! Hybrid coordinate coefficients at half level interfaces,
  ! specifying 10 vertical ECMWF levels.
  ! Coefficient a is given in [Pa] .
  ! Pressure at a certain hybrid level is defined as: p = a + b.SP

  real, parameter  :: a_ec(0:lme) = (/   &
           0.000000, &
         450.685791, &
        3358.425781, &
        7341.469727, &
       15638.053711, &
       20319.011719, &
       14665.645508, &
        3010.146973, &
         336.772369, &
           6.575628, &
           0.000000 /)

  real, parameter  :: b_ec(0:lme) = (/   &
       0.000000, &
       0.000000, &
       0.000000, &
       0.000000, &
       0.012508, &
       0.176091, &
       0.475016, &
       0.875518, &
       0.973466, &
       0.994204, &
       1.000000 /)

end module const_ec_v
